Sun GlassFish(tm) Message Queue v4.4

## javax.jms
Interface ServerSessionPool

    public interface ServerSessionPool

A `ServerSessionPool` object is an object implemented by an application server to provide a pool of `ServerSession` objects for processing the messages of a `ConnectionConsumer` (optional).

Its only method is `getServerSession`. The JMS API does not architect how the pool is implemented. It could be a static pool of `ServerSession` objects, or it could use a sophisticated algorithm to dynamically create `ServerSession` objects as needed.

If the `ServerSessionPool` is out of `ServerSession` objects, the `getServerSession` call may block. If a `ConnectionConsumer` is blocked, it cannot deliver new messages until a `ServerSession` is eventually returned.

See Also:
  `ServerSession`

Method Summary
`ServerSession` `getServerSession()` Return a server session from the pool.

Method Detail

### getServerSession

    ServerSession getServerSession()
                                   throws JMSException

  Return a server session from the pool.

  Returns:
    a server session from the pool
  Throws:
    `JMSException` - if an application server fails to return a `ServerSession` out of its server session pool.

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.